<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <artifactId>tynotes</artifactId>
        <groupId>com.zjty.tynotes</groupId>
        <version>1.0-SNAPSHOT</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>

    <artifactId>notes-union</artifactId>
    <packaging>jar</packaging>

    <profiles>
        <!--模拟环境-->
        <profile>
            <id>simc</id>
            <properties>
                <activatedProperties>simc</activatedProperties>
            </properties>

        </profile>

        <!--生产环境-->
        <profile>
            <id>prod</id>
            <properties>
                <activatedProperties>prod</activatedProperties>
            </properties>
        </profile>
    </profiles>

    <dependencies>

        <dependency>
            <groupId>com.zjty.tynotes</groupId>
            <artifactId>notes-weekly</artifactId>
        </dependency>

        <dependency>
            <groupId>com.zjty.tynotes</groupId>
            <artifactId>notes-redis</artifactId>
        </dependency>

        <dependency>
            <groupId>com.zjty.tynotes</groupId>
            <artifactId>notes-misc</artifactId>
        </dependency>

        <dependency>
            <groupId>com.zjty.tynotes</groupId>
            <artifactId>notes-sms</artifactId>
        </dependency>

        <dependency>
            <groupId>com.zjty.tynotes</groupId>
            <artifactId>notes-search</artifactId>
        </dependency>

        <dependency>
            <groupId>com.zjty.tynotes</groupId>
            <artifactId>notes-job</artifactId>
        </dependency>

        <dependency>
            <groupId>com.zjty.tynotes</groupId>
            <artifactId>notes-fs</artifactId>
        </dependency>

        <dependency>
            <groupId>com.zjty.tynotes</groupId>
            <artifactId>notes-pas</artifactId>
        </dependency>

        <dependency>
            <groupId>com.zjty.tynotes</groupId>
            <artifactId>notes-attendance</artifactId>
        </dependency>

        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-test</artifactId>
            <scope>test</scope>
        </dependency>

    </dependencies>
    <build>
        <plugins>
            <!--打包插件-->
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <configuration>
                    <executable>true</executable>
                </configuration>
            </plugin>
            <!--跳过测试插件-->
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-surefire-plugin</artifactId>
                <version>2.20</version>
                <configuration>
                    <skipTests>true</skipTests>    <!--默认关掉单元测试 -->
                </configuration>
            </plugin>
        </plugins>
    </build>



</project>